Package edu.wisc.game.web

## Class LaunchMain

- java.lang.Object
- - edu.wisc.game.web.ResultsBase
  - - edu.wisc.game.web.LaunchRulesBase
    - - edu.wisc.game.web.LaunchMain

-     public class LaunchMain
      extends LaunchRulesBase

  As requested by Paul, "Rule Game -- challenge UWisc faculty and staff", 2021-09-23.

       What I am thinking is a table with rows corresponding to
      specific rules, and columns that would lead to a way to play the game
      (with a logic like what we have at Selected Games to Isolate Facets
      (rutgers.edu) which makes a workerId such as
      "pbk_pkZhistory_A_7412708" [The Z was because I was not sure that "/"
      is allowed in a workerId; the last part is some digits from the time,
      which lets me continue as pbk whenever I use it] and brings the player
      into the game.

      I'd like  for you  to select about  a dozen rules  that you  think are
      interesting and kind  of span the syntax, and, in  particular, what we
      have already worked with.

      Then, could you set up the corresponding trial files?.  No need to
      ever offer the bonus, I think, and we can let people play a lot of
      boards (say, as many as 10).

      New rules in the same "learning class" as existing ones are also OK,
      and thinking about that may advance the arm dealing with the
      smartphone version. In that arm, we probably want to be able to say
      something like "try easy games first" and, as you suggested, be able
      to generate new ones in various classes.

      The columns of the table for this researcher challenge should provide these options:

      1 play with minimal information; no Xs; no test tubes or numbers displayed
      2 play with memory aids -- test tubes and numbers displayed
      3 with memory aids and movability signs.
      4 "click this to see the rule itself"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class edu.wisc.game.web.LaunchRulesBase

      `LaunchRulesBase.AndroidRuleInfoReport, LaunchRulesBase.Mode, LaunchRulesBase.RuleInfo`

  - ### Field Summary

    - ### Fields inherited from class edu.wisc.game.web.LaunchRulesBase

      `allPlayers, mustUseDevClient, tableText`

    - ### Fields inherited from class edu.wisc.game.web.ResultsBase

      `displayName, infomsg, uid`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LaunchMain​(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)` |

  - ### Method Summary

    - ### Methods inherited from class edu.wisc.game.web.LaunchRulesBase

      `buildTable, describeTrialList, mkCell, mkForm`

    - ### Methods inherited from class edu.wisc.game.web.ResultsBase

      `exceptionTrace, getDisplayText, getErrmsg, getError, getEx, giveError, giveError, loggedIn, setErrmsg, setError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LaunchMain

          public LaunchMain​(jakarta.servlet.http.HttpServletRequest request,
                            jakarta.servlet.http.HttpServletResponse response)